Package org.pushingpixels.substance.flamingo.ribbon.ui

# Class SubstanceRibbonApplicationMenuButtonUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.ButtonUI
org.pushingpixels.flamingo.internal.ui.common.CommandButtonUI
org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonUI
org.pushingpixels.flamingo.internal.ui.ribbon.appmenu.BasicRibbonApplicationMenuButtonUI
org.pushingpixels.substance.flamingo.ribbon.ui.SubstanceRibbonApplicationMenuButtonUI

All Implemented Interfaces:
  `ActionPopupTransitionAwareUI`, `org.pushingpixels.substance.internal.animation.TransitionAwareUI`

public class SubstanceRibbonApplicationMenuButtonUI extends org.pushingpixels.flamingo.internal.ui.ribbon.appmenu.BasicRibbonApplicationMenuButtonUI implements ActionPopupTransitionAwareUI
UI for `JRibbonApplicationMenuButton` components in Substance look and feel.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected CommandButtonVisualStateTracker`
`substanceVisualStateTracker`
Tracker for visual state transitions.

### Fields inherited from class org.pushingpixels.flamingo.internal.ui.ribbon.appmenu.BasicRibbonApplicationMenuButtonUI

`applicationMenuButton`

### Fields inherited from class org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonUI

`basicPopupButtonListener, buttonRendererPane, commandButton, disposePopupsActionListener, DONT_DISPOSE_POPUPS, EMULATE_SQUARE_BUTTON, isUnderMouse, layoutInfo, layoutManager, popupActionIcon, popupActionListener, propertyChangeListener, rendererButton, rendererSeparator`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceRibbonApplicationMenuButtonUI(org.pushingpixels.flamingo.api.ribbon.JRibbon ribbon)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`contains(JComponent c, int x, int y)`
`static ComponentUI`
`createUI(JComponent component)`
`org.pushingpixels.substance.internal.animation.StateTransitionTracker`
`getActionTransitionTracker()`
`org.pushingpixels.substance.internal.animation.StateTransitionTracker`
`getPopupTransitionTracker()`
`org.pushingpixels.substance.internal.animation.StateTransitionTracker`
`getTransitionTracker()`
`protected void`
`installListeners()`
`boolean`
`isInside(MouseEvent me)`
`void`
`paint(Graphics g, JComponent c)`
`protected void`
`paintButtonIcon(Graphics g, Rectangle iconRect)`
`protected void`
`uninstallListeners()`
`void`
`update(Graphics g, JComponent c)`

### Methods inherited from class org.pushingpixels.flamingo.internal.ui.ribbon.appmenu.BasicRibbonApplicationMenuButtonUI

`configureRenderer, getRibbon, installComponents, installDefaults, installUI, paintButtonBackground, setRibbon, unconfigureRenderer`

### Methods inherited from class org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonUI

`createButtonListener, createPopupActionIcon, createPopupActionListener, createRendererButton, getForegroundColor, getIconToPaint, getKeyTipAnchorCenterPoint, getLayoutGap, getLayoutInfo, getPreferredSize, installKeyboardActions, isPaintingBackground, isPaintingSeparators, paintButtonBackground, paintButtonHorizontalSeparator, paintButtonVerticalSeparator, paintPopupActionIcon, processPopupAction, syncDisabledIcon, syncIconDimension, toUseDisabledIcon, uninstallComponents, uninstallDefaults, uninstallKeyboardActions, uninstallUI, updateBorder, updateCustomDimension, updatePopupActionIcon`

### Methods inherited from class javax.swing.plaf.ComponentUI

`getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### substanceVisualStateTracker

protected CommandButtonVisualStateTracker substanceVisualStateTracker
Tracker for visual state transitions.

## Constructor Details

### SubstanceRibbonApplicationMenuButtonUI

public SubstanceRibbonApplicationMenuButtonUI(org.pushingpixels.flamingo.api.ribbon.JRibbon ribbon)

## Method Details

### createUI

public static ComponentUI createUI(JComponent component)

### installListeners

protected void installListeners()

Overrides:
  `installListeners` in class `org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonUI`

### uninstallListeners

protected void uninstallListeners()

Overrides:
  `uninstallListeners` in class `org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonUI`

### paint

public void paint(Graphics g, JComponent c)

Overrides:
  `paint` in class `org.pushingpixels.flamingo.internal.ui.ribbon.appmenu.BasicRibbonApplicationMenuButtonUI`

### paintButtonIcon

protected void paintButtonIcon(Graphics g, Rectangle iconRect)

Overrides:
  `paintButtonIcon` in class `org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonUI`

### update

public void update(Graphics g, JComponent c)

Overrides:
  `update` in class `org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonUI`

### contains

public boolean contains(JComponent c, int x, int y)

Overrides:
  `contains` in class `ComponentUI`

### getActionTransitionTracker

public org.pushingpixels.substance.internal.animation.StateTransitionTracker getActionTransitionTracker()

Specified by:
  `getActionTransitionTracker` in interface `ActionPopupTransitionAwareUI`

### getPopupTransitionTracker

public org.pushingpixels.substance.internal.animation.StateTransitionTracker getPopupTransitionTracker()

Specified by:
  `getPopupTransitionTracker` in interface `ActionPopupTransitionAwareUI`

### getTransitionTracker

public org.pushingpixels.substance.internal.animation.StateTransitionTracker getTransitionTracker()

Specified by:
  `getTransitionTracker` in interface `org.pushingpixels.substance.internal.animation.TransitionAwareUI`

### isInside

public boolean isInside(MouseEvent me)

Specified by:
  `isInside` in interface `org.pushingpixels.substance.internal.animation.TransitionAwareUI`